$(document).ready(function () {



    function dibujarItemRecibidos(representante, tiempotranscurrido, asunto) {
        var html = "<li><a href = '#''><h4>";
        html += representante;//representante legal
        html += " <small><i class='fa fa-clock-o'></i> ";
        html += tiempotranscurrido;// 5 mins
        html += "</small></h4><p>";
        html += asunto;//asunto
        html += "</p></a></li>";

        return html;
    }


    getMensage();

    function getMensage() {
        $.ajax({
            method: 'GET',
            url: "servidor/mensages.php",
            dataType: "JSON",
            beforeSend: function (xhr) {
                //mientras
            }
        }).done(function (response) {
            console.log(response);


            var mensagesenhtml = "";
            $.each(response,function(index,value){
                var nombres = value.nombres + " " + value.apellido_paterno + " " + value.apellido_materno;

                mensagesenhtml += dibujarItemRecibidos(nombres, getTiempoTranscurrido(value.created_at), value.asunto);
            });

            $("#notificacionnumero").text(response.length);
            $("#numerodocumentomensage").text("Hay " + response.length + " documentos pendientes");
            $("#contenedormensages").html(mensagesenhtml);

        }).fail(function (error) {
            console.log(error);

        }).always(function () {
            console.log("peticion completado");

        });
    }



    function getTiempoTranscurrido(fecha) {
        var fecha = new Date(fecha);
        var minutostranscurridos = (new Date() - fecha.valueOf()) / 1000 / 60;
        var horastranscurridos = minutostranscurridos / 60;
        var diastranscurridos = horastranscurridos / 24;

        console.log( Math.round(diastranscurridos) );
        

        if ( Math.round(minutostranscurridos) > 1 && Math.round(minutostranscurridos) < 60) {

            return Math.round(minutostranscurridos) + " minutos";

        }else if ( Math.round(minutostranscurridos) >= 60 && Math.round(horastranscurridos) < 24) {

            return Math.round(horastranscurridos) + " hora";

        }else if( Math.round(diastranscurridos) == 1 ){

            return "Hayer";

        }else if(Math.round(diastranscurridos) > 1 && Math.round(diastranscurridos) < 8){

            return Math.round(Math.round(diastranscurridos)) + " dias";

        }else if(Math.round(diastranscurridos) >= 8){

            return "Mas de una semana";

        }else{
            return Math.round(minutostranscurridos) + " minutos";
        }

    }

    /*var diartrasncurridos = getTiempoTranscurrido("2020/06/03 20:10:10 ");
    console.log(diartrasncurridos);*/
    




});